Skip to main content
POST
/
accounts
/
{accountId}
/
mandates
Create or amend a mandate
curl --request POST \
  --url https://sandbox-api.finpace.example/v1/accounts/{accountId}/mandates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "partyId": "<string>",
  "role": "<string>",
  "approvalRule": "<string>",
  "limit": {
    "amount": "12500.00",
    "currency": "EUR"
  }
}
'
{
  "mandateId": "mdt_01JQ9M3X3HD5KQY8DPGH0N7AM1",
  "partyId": "<string>",
  "role": "signatory",
  "approvalRule": "single",
  "limit": {
    "amount": "12500.00",
    "currency": "EUR"
  },
  "status": "active"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 with client credentials for machine integrations and authorization code for delegated user sessions.

Headers

Idempotency-Key
string
required

Unique key used to make create and financial action requests safe to retry.

Maximum string length: 80
X-Request-Id
string

Caller-generated correlation identifier used for tracing.

Maximum string length: 80

Path Parameters

accountId
string
required

Body

application/json
partyId
string
required
role
string
required
approvalRule
string
limit
object

Response

Mandate saved

mandateId
string
Example:

"mdt_01JQ9M3X3HD5KQY8DPGH0N7AM1"

partyId
string
role
string
Example:

"signatory"

approvalRule
string
Example:

"single"

limit
object
status
enum<string>
Available options:
active,
suspended,
expired